GET /insights/v1/blocks
Get blocks

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
filter_block_number number | null optional query
Example: 1000000
filter_block_number_gte number | null optional query
Example: 1000000
filter_block_number_gt number | null optional query
Example: 1000000
filter_block_number_lte number | null optional query
Example: 1000000
filter_block_number_lt number | null optional query
Example: 1000000
filter_block_timestamp number | null optional query
Example: 1715222400
filter_block_timestamp_gte number | null optional query
Example: 1715222400
filter_block_timestamp_gt number | null optional query
Example: 1715222400
filter_block_timestamp_lte number | null optional query
Example: 1715222400
filter_block_timestamp_lt number | null optional query
Example: 1715222400
sort_by unknown optional query
Example: "block_number"
sort_order string optional query
Example: "desc"
group_by string | null optional query
aggregate string | null optional query
Example: "count() as count"
filter_hash string optional query
Example: "0x218b632d932371478d1ae5a01620ebab1a2030f9dad6f8fba4a044ea6335a57e"
limit integer optional query
Example: 20
page integer | null optional query
Example: 0

Responses

200 Successful response
application/json
data object[]
Array of:
chain_id number REQUIRED
block_number number REQUIRED
block_hash string REQUIRED
parent_hash string REQUIRED
block_timestamp number REQUIRED
nonce string REQUIRED
sha3_uncles string REQUIRED
mix_hash string REQUIRED
miner string REQUIRED
state_root string REQUIRED
transactions_root string REQUIRED
receipts_root string REQUIRED
logs_bloom string REQUIRED
size number REQUIRED
extra_data string REQUIRED
difficulty string REQUIRED
total_difficulty string REQUIRED
transaction_count number REQUIRED
gas_limit number REQUIRED
gas_used number REQUIRED
withdrawals_root string REQUIRED
base_fee_per_gas number REQUIRED
aggregations unknown | null
meta object REQUIRED
chain_ids number[] REQUIRED
Array of:
address string
signature string
page number REQUIRED
limit_per_chain number REQUIRED
total_items number REQUIRED
total_pages number REQUIRED
400 Bad request
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/blocks'
const response = await fetch('https://data-api.b3.fun//insights/v1/blocks', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/blocks')
print(response.json())
200 Response
{
  "data": [
    {
      "chain_id": 123,
      "block_number": 123,
      "block_hash": "<string>",
      "parent_hash": "<string>",
      "block_timestamp": 123,
      "nonce": "<string>",
      "sha3_uncles": "<string>",
      "mix_hash": "<string>",
      "miner": "<string>",
      "state_root": "<string>",
      "transactions_root": "<string>",
      "receipts_root": "<string>",
      "logs_bloom": "<string>",
      "size": 123,
      "extra_data": "<string>",
      "difficulty": "<string>",
      "total_difficulty": "<string>",
      "transaction_count": 123,
      "gas_limit": 123,
      "gas_used": 123,
      "withdrawals_root": "<string>",
      "base_fee_per_gas": 123
    }
  ],
  "aggregations": "<unknown>",
  "meta": {
    "chain_ids": [
      123
    ],
    "address": "<string>",
    "signature": "<string>",
    "page": 123,
    "limit_per_chain": 123,
    "total_items": 123,
    "total_pages": 123
  }
}
GET /insights/v1/blocks
Ask a question... ⌘I